Subject: RE: bug#29412: 27.0.50; dired-toggle-read-only should (at some point!) check that the direcory is writeable

From: Drew Adams <[email-masked]>
Date: Sat, 12 Dec 2020 11:26:37 -0800 (PST)

> I've now made `C-c C-q' signal an error if the directory isn't writable
> in Emacs 28.

I don't feel strongly about this, but I wonder whether
that's the right thing to do.  We do NOT do that for
files, for example.

The use cases, for files and directories too, I believe,
are these:

1. You can make changes in the buffer for other reasons,
with no intention to save.  You can do that to affect
information gathering, analysis, discovery, sorting,
searching whatever.

2. You can make changes and THEN make the file or dir
writable (inside or outside Emacs), and THEN save the
changes you've already prepared.

#2 can be handy in a situation where the resource is
shared, or where for some other reason you want to
minimize the time during which it is writable: you 
make it writable only for the duration of saving, not
for the entire time you do the editing.

Unless I'm missing some counter arguments, I'd say
this request and the "fix", though well-meaning, are
misguided.